Loading...
Searching...
No Matches
houdini_utils Namespace Reference

## Classes

class | ParmList
| Parameter template list that is always terminated. More...
class | ParmFactory
| Helper class to simplify construction of PRM_Templates and dynamic user interfaces. More...
class | OpFactory
| Helper class to simplify operator registration. More...
class | OpPolicy
| An OpPolicy customizes the behavior of an OpFactory. This base class specifies the required interface. More...
class | ScopedInputLock
| Helper class to manage input locking. More...

## Typedefs

using | SpareDataMap = std::map<std::string, std::string>
using | OpPolicyPtr = std::shared_ptr<OpPolicy>

## Functions

const SpareDataMap & | getOperatorSpareData (const OP_Operator &)
| Return the spare data associated with the given operator.
void | addOperatorSpareData (OP_Operator &, const SpareDataMap &)
| Specify (key, value) pairs of spare data for the given operator.

## Variables

OPENVDB_HOUDINI_API const PRM_ChoiceList | PrimGroupMenuInput1
OPENVDB_HOUDINI_API const PRM_ChoiceList | PrimGroupMenuInput2
OPENVDB_HOUDINI_API const PRM_ChoiceList | PrimGroupMenuInput3
OPENVDB_HOUDINI_API const PRM_ChoiceList | PrimGroupMenuInput4
OPENVDB_HOUDINI_API const PRM_ChoiceList | PrimGroupMenu

## Typedef Documentation

## OpPolicyPtr

using OpPolicyPtr = std::shared_ptr<OpPolicy>

## SpareDataMap

using SpareDataMap = std::map<std::string, std::string>

## Function Documentation

## addOperatorSpareData()

void addOperatorSpareData | ( | OP_Operator & | ,
|  | const SpareDataMap & | )

Specify (key, value) pairs of spare data for the given operator.

For existing keys, the new value replaces the old one.

Exceptions

  std::runtime_error | if the given operator does not support spare data (only operators created with OpFactory will have spare data)

See also
  getOperatorSpareData, OpFactory::addSpareData

## getOperatorSpareData()

const SpareDataMap & getOperatorSpareData | ( | const OP_Operator & |  | ) |

Return the spare data associated with the given operator.

Only operators created with OpFactory will have spare data.

See also
  addOperatorSpareData, OpFactory::addSpareData

## Variable Documentation

## PrimGroupMenu

OPENVDB_HOUDINI_API const PRM_ChoiceList PrimGroupMenu

extern

Note
  Use this if you have more than 4 inputs, otherwise use the input specific menus instead which automatically handle the appropriate spare data settings.

## PrimGroupMenuInput1

OPENVDB_HOUDINI_API const PRM_ChoiceList PrimGroupMenuInput1

extern

## PrimGroupMenuInput2

OPENVDB_HOUDINI_API const PRM_ChoiceList PrimGroupMenuInput2

extern

## PrimGroupMenuInput3

OPENVDB_HOUDINI_API const PRM_ChoiceList PrimGroupMenuInput3

extern

## PrimGroupMenuInput4

OPENVDB_HOUDINI_API const PRM_ChoiceList PrimGroupMenuInput4

extern